//
// Created by sebastian on 23.12.25.
//

#include "DicewarsApp.h"

#include "GameLayer.h"
#include "UILayer.h"

DicewarsApp::DicewarsApp() {
    gameMode = std::make_shared<GameMode>();
    GameLayer* gamelayer = new GameLayer();
    gamelayer->setGameMode(gameMode);
    pushLayer(gamelayer);
    pushLayer(new UILayer());
}
